Lens won't upload to Specs

Ana .
Ana . Posts: 2

I'm trying to send my lens from Lens Studio to Specs but I see the message (in specs): "Lens requires higher app version 12.21.0.0" and the lens doesn't shows up in the carousel.
I already updated Lens Studio (4.40.1.193), Spectacles (4.089.0057) and Snapchat (12.23.2.38) to their last versions.
Any suggestion?

Answers